// -*- coding: utf-8 -*-
// Title:  Diskworld_3.0.sc
// Author: JackDole 
// Date: 2016.02.27 15:12:11
// Epoch 2446583.5 = 1986.06.02

Star "Red star"
{
    ParentBody  "The red star"
    Class       "M9 VI"
    Radius      320127.61905
    
    RotationPeriod  178.22
    
    Orbit
    {
        Type        "Static"
        Epoch       2446583.5
        RefPlane    "Equator"
    }
}

Barycenter "Big Turtle/JDV 10001"       //"Great A'tuin"
{
    ParentBody  "The red star"
    
    Orbit
    {
        Epoch           2446583.5
        PericenterDist  0.05
        Eccentricity    0.99999
        Period          1500000.0
        Inclination     0
        AscendingNode   0
        ArgOfPericenter 0
        MeanAnomaly     0
        RefPlane       "Equator"
    }
}

Star	"Disc Sun"
{
    ParentBody  "Big Turtle"
    Class       "G2 V"

    Radius      66
    //Mass       1.09745e-006
    
    Oblateness  0.0
    AbsMagn     25.6108065393510288372

    Obliquity       40
    EqAscendNode    46

    Albedo      0.99
    Brightness  9.761905
    Color       (0.954 0.920 0.000)

    Orbit
    {
        Epoch           2446583.5
        SemiMajorAxis   0.00007
        Period          0.00273790933191668356
        Eccentricity    0.0
        Inclination     60
        AscendingNode   0
        ArgOfPericenter 0
        MeanAnomaly     0
        RefPlane        "Equator"
    }
}

Planet "Disc World"
{
    ParentBody  "Big Turtle"
    Class       "Terra"
    Radius      7684.05158          //circumference 30000 miles - Discworld Companion

    Oblateness  0.9                 // At the rim 40 miles thick, but more in the center of the disc

    Age         4.54

    RotationPeriod  19200           // 800 days - Discworld Companion
    Obliquity       -156.5607089    // 23.4392911 degrees 
    EqAscendNode    180.0
    Precession      1e12

    Color       ( 0.850 0.850 1.000 )
    Albedo      0.367

    Life
    {
        Class   "Organic"
        Type    "Multicellular"
        Biome   "Marine/Terrestrial"
    }

    Surface
    {
        SurfStyle       0.7582274
        OceanStyle      0.6680755
        Randomize      (0.735, -0.145, -0.518)
        colorDistMagn   0.09429134
        colorDistFreq   980.2708
        detailScale     19763.81
        colorConversion true
        seaLevel        0.6728017
        snowLevel       0.8472685
        tropicLatitude  0.3977771
        icecapLatitude  0.7873282
        icecapHeight    0.7066055
        climatePole     0.9375
        climateTropic   0.3125
        climateEquator  0.6875
        heightTempGrad  0.625
        tropicWidth     0.07
        mainFreq        0.4150223
        venusFreq       1.515021
        venusMagn       0
        mareFreq        2.868657
        mareDensity     0.06311518
        terraceProb     0.1517648
        erosion         0.132738
        montesMagn      0.248024
        montesFreq      413.2139
        montesSpiky     0.9555438
        montesFraction  0.08712707
        dunesMagn       0.0622053
        dunesFreq       41.28787
        dunesFraction   0.4182887
        hillsMagn       0.1315005
        hillsFreq       828.7463
        hillsFraction   0.306603
        hills2Fraction  0.6326791
        riversMagn      53.42317
        riversFreq      2.013788
        riversSin       5.429916
        riversOctaves   2
        canyonsMagn     0.05646307
        canyonsFreq     194.2809
        canyonFraction  0.4427587
        cracksMagn      0.09642369
        cracksFreq      0.8050897
        cracksOctaves   0
        craterMagn      1.004834
        craterFreq      15.49755
        craterDensity   0
        craterOctaves   0
        volcanoMagn     0.679384
        volcanoFreq     0.8349008
        volcanoDensity  0.3836383
        volcanoOctaves  1
        volcanoActivity 1.135909
        volcanoFlows    0.7438232
        volcanoRadius   0.201289
        volcanoTemp     1524.168
        lavaCoverTidal  0
        lavaCoverSun    0
        lavaCoverYoung  0
        twistZones      2.055305
        twistMagn       0.7992508
        cycloneMagn     2.144401
        cycloneFreq     0.2965707
        cycloneDensity  0.008144866
        colorSea       (0.000, 0.030, 0.060, 0.200)
        colorShelf     (0.020, 0.060, 0.130, 1.000)
        colorBeach     (0.570, 0.440, 0.400, 0.000)
        colorDesert    (0.380, 0.240, 0.140, 0.000)
        colorLowland   (0.440, 0.340, 0.310, 0.000)
        colorUpland    (0.570, 0.540, 0.420, 0.000)
        colorRock      (0.520, 0.420, 0.340, 0.000)
        colorSnow      (1.000, 1.000, 1.000, 0.500)
        colorLowPlants (0.180, 0.240, 0.090, 0.000)
        colorUpPlants  (0.150, 0.170, 0.070, 0.000)
        BumpHeight      11.486
        BumpOffset      0.907
        DiffMapAlpha   "Water"
        SpecBrightWater 0.65
        SpecBrightIce   0
        SpecularPower   55
        Hapke           0
        SpotBright      4
        SpotWidth       0.05
        DayAmbient      0.07
    }
    
    Atmosphere
    {
        Height      60
        Greenhouse  38
        Pressure    1.0
        Density     1.2929
        Model       "Earth"
        Bright      10.0
        Opacity     1.0
        SkyLight    3.0
        EclipseBright   250.0
        EclipseColor    ( 1.000 0.600 0.200 )
        
        Composition
        {
            N2  77.7729
            O2  20.8625
            Ar  0.9303
            H2O 0.4000
            CO2 0.0398
        }
    }
         
    Ocean
    {
        Height      7.728027
        DayAmbient  2
        Lommel      0
        Exposure    2
    }
     
    NoRings     true
    
    Orbit
    {
        Period          2.19032746553334684536      // 800 days
        SemiMajorAxis   0.000000007
        Inclination     0.0
        AscendingNode   348.739	
        LongOfPericen   102.93734808
        MeanLongitude   280.46645683
    }
}

DwarfMoon   "Disc Moon"
{
    ParentBody  "Big Turtle"
    Class       "Selena"
         
    Radius      100
    Mass        2.1949e-006
    
    InertiaMoment   0.3974729

    Obliquity       120
    EqAscendNode    0

    Albedo      0.3
    Brightness  5
    Color       (0.398 0.341 0.297)

    NoLighting  true
    
    Orbit
    {
        Epoch           2446583.5
        SemiMajorAxis   0.00015
        Period          0.08333334
        Eccentricity    0
        Inclination     120
        AscendingNode   0
        ArgOfPericenter 0
        MeanAnomaly     0
        RefPlane        "Equator"
    }
}

//------------------------------------------------------------------------------

